Subject: [Ietf-behave] Issue 7 - ICMP draft issues from the IETF 65 WG meeting

From: Pyda Srisuresh <[email-masked]>
Date: Sat, 24 Jun 2006 07:39:52 -0700 (PDT)

ISSUE-7:

  7. TTL behavior, should NAT return 'TTL exceeded' when TTL is
  exceeded at the NAT itself.

RESOLUTION: The TTL behvaior on a NAT device must be in conformace with RFC
1812. REQ-8 of the ICMP draft reflects this consensus as follows.

   REQ-8: A NAT device MUST conform to RFC 1812 in IP packet handling.
   Below are specific instances where a NAT device MUST conform to 
   RFC 1812.
   a) If DF bit is set on a transit IP packet and the NAT
   device cannot forward the packet without fragmentation, the
   NAT device MUST send a "Packet too big" ICMP message (ICMP
   type 3, Code 4) with a suggested MTU back to the sender and
   drop the original IP packet.
   b) A NAT device  MUST, by default, generate "Time Exceeded" ICMP
   error message when it discards a packet due to an expired TTL field,
   unless explicitly configured otherwise.